Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.rim
Interface PostalAddressType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  PostalAddressTypeImpl

    public interface PostalAddressType

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Postal Address Type'. Mapping of the same named interface in ebRIM.

The following features are supported:

- `Group`
- `Slot`
- `City`
- `Country`
- `Postal Code`
- `State Or Province`
- `Street`
- `Street Number`

See Also:
  `RimPackage.getPostalAddressType()`

Method Summary
`java.lang.String` | `getCity()` Returns the value of the 'City' attribute.
`java.lang.String` | `getCountry()` Returns the value of the 'Country' attribute.
`org.eclipse.emf.ecore.util.FeatureMap` | `getGroup()` Returns the value of the 'Group' attribute list.
`java.lang.String` | `getPostalCode()` Returns the value of the 'Postal Code' attribute.
`org.eclipse.emf.common.util.EList` | `getSlot()` Returns the value of the 'Slot' containment reference list.
`java.lang.String` | `getStateOrProvince()` Returns the value of the 'State Or Province' attribute.
`java.lang.String` | `getStreet()` Returns the value of the 'Street' attribute.
`java.lang.String` | `getStreetNumber()` Returns the value of the 'Street Number' attribute.
`void` | `setCity(java.lang.String value)` Sets the value of the '`City`' attribute.
`void` | `setCountry(java.lang.String value)` Sets the value of the '`Country`' attribute.
`void` | `setPostalCode(java.lang.String value)` Sets the value of the '`Postal Code`' attribute.
`void` | `setStateOrProvince(java.lang.String value)` Sets the value of the '`State Or Province`' attribute.
`void` | `setStreet(java.lang.String value)` Sets the value of the '`Street`' attribute.
`void` | `setStreetNumber(java.lang.String value)` Sets the value of the '`Street Number`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getGroup

    org.eclipse.emf.ecore.util.FeatureMap getGroup()

  Returns the value of the 'Group' attribute list. The list contents are of type `FeatureMap.Entry`.

  If the meaning of the 'Group' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Group' attribute list.
  See Also:
    `RimPackage.getPostalAddressType_Group()`

### getSlot

    org.eclipse.emf.common.util.EList getSlot()

  Returns the value of the 'Slot' containment reference list. The list contents are of type `SlotType1`.

  If the meaning of the 'Slot' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Slot' containment reference list.
  See Also:
    `RimPackage.getPostalAddressType_Slot()`

### getCity

    java.lang.String getCity()

  Returns the value of the 'City' attribute.

  If the meaning of the 'City' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'City' attribute.
  See Also:
    `setCity(String)`, `RimPackage.getPostalAddressType_City()`

### setCity

    void setCity(java.lang.String value)

  Sets the value of the '`City`' attribute.

  Parameters:
    `value` - the new value of the 'City' attribute.
  See Also:
    `getCity()`

### getCountry

    java.lang.String getCountry()

  Returns the value of the 'Country' attribute.

  If the meaning of the 'Country' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Country' attribute.
  See Also:
    `setCountry(String)`, `RimPackage.getPostalAddressType_Country()`

### setCountry

    void setCountry(java.lang.String value)

  Sets the value of the '`Country`' attribute.

  Parameters:
    `value` - the new value of the 'Country' attribute.
  See Also:
    `getCountry()`

### getPostalCode

    java.lang.String getPostalCode()

  Returns the value of the 'Postal Code' attribute.

  If the meaning of the 'Postal Code' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Postal Code' attribute.
  See Also:
    `setPostalCode(String)`, `RimPackage.getPostalAddressType_PostalCode()`

### setPostalCode

    void setPostalCode(java.lang.String value)

  Sets the value of the '`Postal Code`' attribute.

  Parameters:
    `value` - the new value of the 'Postal Code' attribute.
  See Also:
    `getPostalCode()`

### getStateOrProvince

    java.lang.String getStateOrProvince()

  Returns the value of the 'State Or Province' attribute.

  If the meaning of the 'State Or Province' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'State Or Province' attribute.
  See Also:
    `setStateOrProvince(String)`, `RimPackage.getPostalAddressType_StateOrProvince()`

### setStateOrProvince

    void setStateOrProvince(java.lang.String value)

  Sets the value of the '`State Or Province`' attribute.

  Parameters:
    `value` - the new value of the 'State Or Province' attribute.
  See Also:
    `getStateOrProvince()`

### getStreet

    java.lang.String getStreet()

  Returns the value of the 'Street' attribute.

  If the meaning of the 'Street' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Street' attribute.
  See Also:
    `setStreet(String)`, `RimPackage.getPostalAddressType_Street()`

### setStreet

    void setStreet(java.lang.String value)

  Sets the value of the '`Street`' attribute.

  Parameters:
    `value` - the new value of the 'Street' attribute.
  See Also:
    `getStreet()`

### getStreetNumber

    java.lang.String getStreetNumber()

  Returns the value of the 'Street Number' attribute.

  If the meaning of the 'Street Number' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Street Number' attribute.
  See Also:
    `setStreetNumber(String)`, `RimPackage.getPostalAddressType_StreetNumber()`

### setStreetNumber

    void setStreetNumber(java.lang.String value)

  Sets the value of the '`Street Number`' attribute.

  Parameters:
    `value` - the new value of the 'Street Number' attribute.
  See Also:
    `getStreetNumber()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD